Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.0 MBeans (Deprecated)

## weblogic.management.configuration
Interface SAFAgentMBean

All Superinterfaces:
  ConfigurationMBean, DeploymentMBean, weblogic.descriptor.DescriptorBean, DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.descriptor.SettableBean, TargetMBean, WebLogicMBean

public interface SAFAgentMBean
extends DeploymentMBean, TargetMBean

This class represents a Store-and-Forward (SAF) agent. A SAF sending agent takes care of storing messages to a persistent storage, forwarding messages to the receiving side, and re-transmitting messages when acknowledgements do not come back in time. A SAF receiving agent takes care of detecting and eliminating duplicate messages sent by the receiving agent, and deliver messages to the final endpoint.

### Deprecation of MBeanHome and Type-Safe Interfaces

This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

Since:
  9.0.0.0

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static String` | `BOTH`
`static String` | `RECEIVING_ONLY`
`static String` | `SENDING_ONLY`

Fields inherited from interface weblogic.management.configuration.DeploymentMBean
`DEFAULT_ORDER, MAX_ORDER, MIN_ORDER`

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`long` | `getAcknowledgeInterval()` The maximum interval between two successive acknowledgements sent by the receiving side.
`long` | `getBytesMaximum()` The maximum bytes quota (total amount of bytes) that can be stored in this SAF agent.
`long` | `getBytesThresholdHigh()` The upper threshold value that triggers events based on the number of bytes stored in the SAF agent.
`long` | `getBytesThresholdLow()` The lower threshold that triggers events based on the number of bytes stored in the SAF agent.
`long` | `getConversationIdleTimeMaximum()` The maximum amount of time allowed before a sending side releases the resources used by a conversation.
`long` | `getDefaultRetryDelayBase()` The amount of time, in milliseconds, between the original delivery attempt and the first retry.
`long` | `getDefaultRetryDelayMaximum()` The maximum amount of time, in milliseconds, between two successive delivery retry attempts.
`double` | `getDefaultRetryDelayMultiplier()` The factor used to multiply the previous delay time to calculate the next delay time to be used.
`long` | `getDefaultTimeToLive()` The default amount of time, in milliseconds, that the agent guarantees to reliably send messages.
`int` | `getMaximumMessageSize()` The maximum number of bytes allowed in individual messages on this SAF agent.
`long` | `getMessageBufferSize()` The amount of memory used to store message bodies in memory before they are paged out to disk.
`long` | `getMessagesMaximum()` The maximum message quota (total amount of messages) that can be stored in this SAF agent.
`long` | `getMessagesThresholdHigh()` The upper threshold that triggers events based on the number of messages stored in the SAF agent.
`long` | `getMessagesThresholdLow()` The low threshold that triggers events based on the number of messages stored in the SAF agent.
`String` | `getPagingDirectory()` Specifies where message bodies are written when the size of the message bodies in the JMS server exceeds the message buffer size.
`String` | `getServiceType()` The type of service that this SAF agent provides.
`PersistentStoreMBean` | `getStore()` The persistent disk-based file store or JDBC-accessible database for the SAF agent.
`TargetMBean[]` | `getTargets()`
`int` | `getWindowSize()` The default window size of a receiving agent.
`boolean` | `isForwardingPausedAtStartup()` Specifies whether the agent is paused for forwarding messages at the startup time.
`boolean` | `isIncomingPausedAtStartup()` Specifies whether the agent is paused for incoming messages at startup time.
`boolean` | `isLoggingEnabled()` Specifies whether a message is logged in the server log file when a message fails to be forwarded.
`boolean` | `isReceivingPausedAtStartup()` Specifies whether the agent is paused for receiving messages at the startup time.
`void` | `setAcknowledgeInterval(long interval)` Sets the value of the `AcknowledgeInterval` attribute.
`void` | `setBytesMaximum(long bytesMaximum)` Sets the value of the `BytesMaximum` attribute.
`void` | `setBytesThresholdHigh(long bytesThresholdHigh)` Sets the value of the `BytesThresholdHigh` attribute.
`void` | `setBytesThresholdLow(long bytesThresholdLow)` Sets the value of the `BytesThresholdLow` attribute.
`void` | `setConversationIdleTimeMaximum(long conversationIdleTimeMaximum)` Sets the value of the `ConversationIdleTimeMaximum` attribute.
`void` | `setDefaultRetryDelayBase(long base)` Sets the value of the `DefaultRetryDelayBase` attribute.
`void` | `setDefaultRetryDelayMaximum(long maximum)` Sets the value of the `DefaultRetryDelayMaximum` attribute.
`void` | `setDefaultRetryDelayMultiplier(double multiplier)` Sets the value of the `DefaultRetryDelayMultiplier` attribute.
`void` | `setDefaultTimeToLive(long ttl)` Sets the value of the `DefaultTimeToLive` attribute.
`void` | `setForwardingPausedAtStartup(boolean forwardingPaused)` Sets the value of the `ForwardingPausedAtStartup` attribute.
`void` | `setIncomingPausedAtStartup(boolean incomingPaused)` Sets the value of the `IncomingPausedAtStartup` attribute.
`void` | `setLoggingEnabled(boolean loggingEnabled)` Sets the value of the `LoggingEnabled` attribute.
`void` | `setMaximumMessageSize(int maxMessageSize)` Sets the value of the `MaximumMessageSize` attribute.
`void` | `setMessageBufferSize(long bufferSize)` Sets the value of the `MessageBufferSize` attribute.
`void` | `setMessagesMaximum(long messagesMaximum)` Sets the value of the `MessagesMaximum` attribute.
`void` | `setMessagesThresholdHigh(long messagesThresholdHigh)` Sets the value of the `MessagesThresholdHigh` attribute.
`void` | `setMessagesThresholdLow(long messagesThresholdLow)` Sets the value of the `MessagesThresholdLow` attribute.
`void` | `setPagingDirectory(String directory)` Sets the value of the `PagingDirectory` attribute.
`void` | `setReceivingPausedAtStartup(boolean receivingPaused)` Sets the value of the `ReceivingPausedAtStartup` attribute.
`void` | `setServiceType(String type)` Sets the value of the `ServiceType` attribute.
`void` | `setStore(PersistentStoreMBean store)` Sets the value of the `Store` attribute.
`void` | `setTargets(TargetMBean[] Targets)`
`void` | `setWindowSize(int size)` Sets the value of the `WindowSize` attribute.

Methods inherited from interface weblogic.management.configuration.DeploymentMBean
`addTarget, getDeploymentOrder, removeTarget, setDeploymentOrder`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getName, getNotes, isSet, restoreDefaultValue, setComments, setDefaultedMBean, setName, setNotes, setPersistenceEnabled, unSet`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Field Detail

### BOTH

    public static final String BOTH

See Also:
  Constant Field Values

### RECEIVING_ONLY

    public static final String RECEIVING_ONLY

See Also:
  Constant Field Values

### SENDING_ONLY

    public static final String SENDING_ONLY

See Also:
  Constant Field Values

Method Detail

### getAcknowledgeInterval

    public long getAcknowledgeInterval()

  The maximum interval between two successive acknowledgements sent by the receiving side.

  - Applies only to agents with receiving capability.

  - A value of `-1` specifies that there is no time limit between successive acknowledgement.

  - Updating `AcknowlegeInterval` causes connections starting after the update to use the new value.

  Returns:
    The acknowledgeInterval value
  A dynamic MBean attribute.

### getBytesMaximum

    public long getBytesMaximum()

  The maximum bytes quota (total amount of bytes) that can be stored in this SAF agent.

  - The default value of `-1` specifies that there is no WebLogic-imposed limit on the number of bytes that can be stored. However, excessive bytes volume can cause memory saturation, so this value should correspond to the total amount of available system memory relative to the rest of your application load.

  - Applies only to agents with sending capability.

  - Updating `BytesMaximum` affects only new requests.

  Range of Values: >= BytesThresholdHigh

  Returns:
    The bytesMaximum value

### getBytesThresholdHigh

    public long getBytesThresholdHigh()

  The upper threshold value that triggers events based on the number of bytes stored in the SAF agent.

  - The default value of `-1` disables the events for this SAF agent.

  - Applies only to agents with sending capability.

  - Updating `BytesThresholdHigh` affects only new requests.

  - If the number of bytes exceeds this threshold, the triggered events are:

    - Log Messages: A message is logged on the server indicating a high threshold condition.

    - Flow Control: The agent becomes armed and instructs producers to begin decreasing their message flow.

  Range of Values: <= BytesMaximum; >= BytesThresholdLow

  Returns:
    The bytesThresholdHigh value

### getBytesThresholdLow

    public long getBytesThresholdLow()

  The lower threshold that triggers events based on the number of bytes stored in the SAF agent.

  - The default value of `-1` disables the events for this SAF agent.

  - Applies only to agents with sending capability.

  - Updating `BytesThresholdLow` affects only new requests.

  - If the number of bytes falls below this threshold, the triggered events are:

    - Log Messages: A message is logged on the server indicating that the threshold condition has cleared.

    - Flow Control: The agent becomes disarmed and instructs producers to beging increasing their message flow.

  Range of Values: <= BytesThresholdHigh

  Returns:
    The bytesThresholdLow value

### getConversationIdleTimeMaximum

    public long getConversationIdleTimeMaximum()

  The maximum amount of time allowed before a sending side releases the resources used by a conversation.

  - If there is no activity for a conversation for the specified amount of time, the sending agent releases all resources for that conversation and notifies the receiving agent to do the same.

  - A value of `0` specifies that resources for a conversation are not released unless the application explicitly closes the conversation.

  - Updating `ConversationIdleTimeMaximum` causes connections starting after the update to use the new value.

  Returns:
    The conversationIdleTimeMaximum value
  Minimum value:
    0
  A dynamic MBean attribute.

### getDefaultRetryDelayBase

    public long getDefaultRetryDelayBase()

  The amount of time, in milliseconds, between the original delivery attempt and the first retry.

  - If `RetryDelayMultiplier` is set to `1`, this defines the interval between any two successive retry attempts.

  - Applies only to agents with sending capability.

  - Updating `DefaultRetryDelayBase` causes connections starting after the update to use the new value.

  Range of Values: <= RetryDelayMaximum if RetryDelayMultiplier is not 1.0.

  Returns:
    The defaultRetryDelayBase value
  A dynamic MBean attribute.

### getDefaultRetryDelayMaximum

    public long getDefaultRetryDelayMaximum()

  The maximum amount of time, in milliseconds, between two successive delivery retry attempts.

  - Applies only to agents with sending capability.

  - Updating `DefaultRetryDelayMaximum` causes connections starting after the update to use the new value.

  Range of Values: > = RetryDelayBase if RetryDelayMultiplier is not 1.0.

  Returns:
    The defaultRetryDelayMaximum value
  A dynamic MBean attribute.

### getDefaultRetryDelayMultiplier

    public double getDefaultRetryDelayMultiplier()

  The factor used to multiply the previous delay time to calculate the next delay time to be used.

  - Applies only to agents with sending capability.

  - Updating `DefaultRetryDelayMuliplier` causes connections starting after the update to use the new value.

  Range of Values: >= 1.

  Returns:
    The defaultRetryDelayMultiplier value
  A dynamic MBean attribute.

### getDefaultTimeToLive

    public long getDefaultTimeToLive()

  The default amount of time, in milliseconds, that the agent guarantees to reliably send messages.

  - A value of 0 means the agent guarantees to reliably send messages for the duration of the conversation.

  - Updating `DefaultTimeToLive` causes conversations starting after the update to use the new value.

  Returns:
    The defaultTimeTolive value
  Default value:
    0
  Minimum value:
    0
  A dynamic MBean attribute.

### getMaximumMessageSize

    public int getMaximumMessageSize()

  The maximum number of bytes allowed in individual messages on this SAF agent.

  - The message size includes the message body, any user-defined properties, and the user-defined JMS header fields: `JMSCorrelationID` and `JMSType`.

  - Producers sending messages that exceed the configured maximum message size for the SAF agent will receive a `ResourceAllocationException`.

  - The maximum message size is only enforced for the initial production of a message. Messages that are redirected to an error destination or forwarded to a member of a distributed destination are not checked for size. For instance, if a destination and its corresponding error destination are configured with a maximum message size of 128K bytes and 64K bytes, respectively, a message of 96K bytes could be redirected to the error destination (even though it exceeds the 64K byte maximum), but a producer could not directly send the 96K byte message to the error destination.

  - Applies only to agents with sending capability.

  - Updating `MaximumMessageSize` affects only incoming messages; stored messages are not affected.

  Returns:
    The maximumMessageSize value
  Default value:
    java.lang.Integer.MAX_VALUE
  Minimum value:
    0
  A dynamic MBean attribute.

### getMessageBufferSize

    public long getMessageBufferSize()

  The amount of memory used to store message bodies in memory before they are paged out to disk.

  - A value of -1 (the default) specifies that the server will automatically determine a size based on the maximum heap size of the JVM. This default will be set to either one-third the maximum heap size, or 512 megabytes, whichever is larger.

  - The larger the buffer, the more memory JMS will consume when many messages are waiting on queues or topics. Once the buffer is surpassed, JMS may write message bodies to the directory specified by PagingDirectory in an effort to reduce memory usage below this buffer.

  - Surpassing the buffer size does not stop the JMS server from accepting new messages. It is still possible to run out of memory if messages are arriving faster than they can be written to disk. Users with high messaging loads who wish to support the highest possible availability should consider setting a quota or setting a threshold and enabling flow control.

  - Applies only to agents with sending capability.

  - Paging is always supported.

  - Updating the memory size resets the message count so that only requests arriving after the update are charged against the new memory size.

  See Also:
    `getPagingDirectory()`
  A dynamic MBean attribute.

### getMessagesMaximum

    public long getMessagesMaximum()

  The maximum message quota (total amount of messages) that can be stored in this SAF agent.

  - The default value of `-1` specifies that the server instance has no limit on the number of messages that can be stored. However, excessive message volume can cause memory saturation, so this value should correspond to the total amount of available system memory relative to the rest of your application load.

  - Applies only to sending agents.

  - Updating the maximum message quota resets the message count so that only requests arriving after the update are charged against the new quota.

  Range of Values: >= MessagesThresholdHigh

  Returns:
    The messagesMaximum value

### getMessagesThresholdHigh

    public long getMessagesThresholdHigh()

  The upper threshold that triggers events based on the number of messages stored in the SAF agent.

  - The default value of `-1` disables the events for this SAF agent.

  - Applies only to agents with sending capability.

  - Updating `MessagesThresholdHigh` affects only new requests.

  - If the number of messages exceeds this threshold, the triggered events are:

    - Log Messages: A message is logged on the server indicating a high threshold condition.

    - Flow Control: The agent becomes armed and instructs producers to begin decreasing their message flow.

  Range of Values: <= MessagesMaximum; >= MessagesThresholdLow

  Returns:
    The messagesThresholdHigh value

### getMessagesThresholdLow

    public long getMessagesThresholdLow()

  The low threshold that triggers events based on the number of messages stored in the SAF agent.

  - The default value of `-1` disables the events for this SAF agent.

  - Applies only to agents with sending capability.

  - Updating `MessagesThresholdLow` affects only new requests.

  - If the number of messages falls below this threshold, the triggered events are:

    - Log Messages: A message is logged on the server indicating that the threshold condition has cleared.

    - Flow Control: The agent becomes disarmed and instructs producers to begin increasing their message flow.

  Range of Values: <= MessagesThresholdHigh.

  Returns:
    The messagesThresholdLow value

### getPagingDirectory

    public String getPagingDirectory()

  Specifies where message bodies are written when the size of the message bodies in the JMS server exceeds the message buffer size. If unspecified, messages are written to the `tmp` directory in the host WebLogic Server instance's directory. For example, `domainName/servers/servername/tmp`.

  - For best performance, this directory should not be the same as the directory used by the SAF agent's persistent store.

  - Applies only to agents with sending capability.

  See Also:
    `getMessageBufferSize()`
  Default value:
    null
  A dynamic MBean attribute.
    false

### getServiceType

    public String getServiceType()

  The type of service that this SAF agent provides.

  Range of Values: `Sending-only`, `Receiving-only`, or `Both`.

  Returns:
    The serviceType value

### getStore

    public PersistentStoreMBean getStore()

  The persistent disk-based file store or JDBC-accessible database for the SAF agent.

  If a store is not configured, the server's default store is used.

  Returns:
    The store value

### getTargets

    public TargetMBean[] getTargets()

  Description copied from interface: `DeploymentMBean`

  You must select a target on which an MBean will be deployed from this list of the targets in the current domain on which this item can be deployed. Targets must be either servers or clusters. The deployment will only occur once if deployments overlap.

  Specified by:
    `getTargets` in interface `DeploymentMBean`
  Returns:
    The targets value

### getWindowSize

    public int getWindowSize()

  The default window size of a receiving agent.

  - Applies only to agents with receiving capability.

  - Updating `WindowSize` causes connections starting after the update to use the new value.

  Returns:
    The windowSize value
  A dynamic MBean attribute.

### isForwardingPausedAtStartup

    public boolean isForwardingPausedAtStartup()

  Specifies whether the agent is paused for forwarding messages at the startup time.

  When enabled, the sending agent forwards messages. Otherwise, the sending agent does not forward any messages.

  A dynamic MBean attribute.
    false

### isIncomingPausedAtStartup

    public boolean isIncomingPausedAtStartup()

  Specifies whether the agent is paused for incoming messages at startup time.

  When enabled, the sending agent accepts new messages. Otherwise, the sending agent does not accept any new messages.

  A dynamic MBean attribute.
    false

### isLoggingEnabled

    public boolean isLoggingEnabled()

  Specifies whether a message is logged in the server log file when a message fails to be forwarded.

  - If selected, this applies to messages that fail to be forwarded and delivered to the final destination when there is no error handling in a SAF application or the application's error handling fails.

  - Applies only to agents with receiving capability.

  - Updating `LoggingEnabled` causes connections starting after the update to use the new value.

  Returns:
    The loggingEnabled value
  A dynamic MBean attribute.

### isReceivingPausedAtStartup

    public boolean isReceivingPausedAtStartup()

  Specifies whether the agent is paused for receiving messages at the startup time.

  When enabled, the sending agent receives messages. Otherwise, the sending agent does not receive any messages.

  A dynamic MBean attribute.
    false

### setAcknowledgeInterval

    public void setAcknowledgeInterval(long interval)
                                throws InvalidAttributeValueException

  Sets the value of the `AcknowledgeInterval` attribute.

  Parameters:
    `interval` - The new acknowledgeInterval value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getAcknowledgeInterval()`
  Default value:
    -1
  A dynamic MBean attribute.

### setBytesMaximum

    public void setBytesMaximum(long bytesMaximum)
                         throws InvalidAttributeValueException,
                                DistributedManagementException

  Sets the value of the `BytesMaximum` attribute.

  Parameters:
    `bytesMaximum` - The new bytesMaximum value
  Throws:
    `InvalidAttributeValueException`
    `DistributedManagementException`
  See Also:
    `getBytesMaximum()`
  Default value:
    -1
  Minimum value:
    -1
  A dynamic MBean attribute.

### setBytesThresholdHigh

    public void setBytesThresholdHigh(long bytesThresholdHigh)
                               throws InvalidAttributeValueException,
                                      DistributedManagementException

  Sets the value of the `BytesThresholdHigh` attribute.

  Parameters:
    `bytesThresholdHigh` - The new bytesThresholdHigh value
  Throws:
    `InvalidAttributeValueException`
    `DistributedManagementException`
  See Also:
    `getBytesThresholdHigh()`
  Default value:
    -1
  Minimum value:
    -1
  A dynamic MBean attribute.
    ,

### setBytesThresholdLow

    public void setBytesThresholdLow(long bytesThresholdLow)
                              throws InvalidAttributeValueException,
                                     DistributedManagementException

  Sets the value of the `BytesThresholdLow` attribute.

  Parameters:
    `bytesThresholdLow` - The new bytesThresholdLow value
  Throws:
    `InvalidAttributeValueException`
    `DistributedManagementException`
  See Also:
    `getBytesThresholdLow()`
  Default value:
    -1
  Minimum value:
    -1
  A dynamic MBean attribute.
    ,

### setConversationIdleTimeMaximum

    public void setConversationIdleTimeMaximum(long conversationIdleTimeMaximum)
                                        throws InvalidAttributeValueException

  Sets the value of the `ConversationIdleTimeMaximum` attribute.

  Parameters:
    `conversationIdleTimeMaximum` - The new conversationIdleTimeMaximum value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getConversationIdleTimeMaximum()`
  Default value:
    0
  Minimum value:
    0
  A dynamic MBean attribute.

### setDefaultRetryDelayBase

    public void setDefaultRetryDelayBase(long base)
                                  throws InvalidAttributeValueException

  Sets the value of the `DefaultRetryDelayBase` attribute.

  Parameters:
    `base` - The new defaultRetryDelayBase value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getDefaultRetryDelayBase()`
  Default value:
    20000
  Minimum value:
    1
  A dynamic MBean attribute.

### setDefaultRetryDelayMaximum

    public void setDefaultRetryDelayMaximum(long maximum)
                                     throws InvalidAttributeValueException

  Sets the value of the `DefaultRetryDelayMaximum` attribute.

  Parameters:
    `maximum` - The new defaultRetryDelayMaximum value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getDefaultRetryDelayMaximum()`
  Default value:
    180000
  Minimum value:
    1
  A dynamic MBean attribute.

### setDefaultRetryDelayMultiplier

    public void setDefaultRetryDelayMultiplier(double multiplier)
                                        throws InvalidAttributeValueException

  Sets the value of the `DefaultRetryDelayMultiplier` attribute.

  Parameters:
    `multiplier` - The new defaultRetryDelayMultiplier value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getDefaultRetryDelayMultiplier()`
  Default value:
    1.0
  Minimum value:
    1.0
  A dynamic MBean attribute.

### setDefaultTimeToLive

    public void setDefaultTimeToLive(long ttl)
                              throws InvalidAttributeValueException

  Sets the value of the `DefaultTimeToLive` attribute.

  Parameters:
    `ttl` - The new defaultTimeToLive value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getDefaultTimeToLive()`
  Default value:
    0
  Minimum value:
    0
  A dynamic MBean attribute.

### setForwardingPausedAtStartup

    public void setForwardingPausedAtStartup(boolean forwardingPaused)
                                      throws InvalidAttributeValueException

  Sets the value of the `ForwardingPausedAtStartup` attribute.

  Parameters:
    `forwardingPaused` - if agent is paused for forwarding messages
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `isForwardingPausedAtStartup()`
  Default value:
    false
  A dynamic MBean attribute.
    false

### setIncomingPausedAtStartup

    public void setIncomingPausedAtStartup(boolean incomingPaused)
                                    throws InvalidAttributeValueException

  Sets the value of the `IncomingPausedAtStartup` attribute.

  Parameters:
    `incomingPaused` - if the agent is paused for incoming messages
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `isIncomingPausedAtStartup()`
  Default value:
    false
  A dynamic MBean attribute.
    false

### setLoggingEnabled

    public void setLoggingEnabled(boolean loggingEnabled)
                           throws InvalidAttributeValueException

  Sets the value of the `LoggingEnabled` attribute.

  Parameters:
    `loggingEnabled` - The new loggingEnabled value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `#getLoggingEnabled`
  Default value:
    true
  A dynamic MBean attribute.

### setMaximumMessageSize

    public void setMaximumMessageSize(int maxMessageSize)
                               throws InvalidAttributeValueException,
                                      DistributedManagementException

  Sets the value of the `MaximumMessageSize` attribute.

  Parameters:
    `maxMessageSize` - The new maximumMessageSize value
  Throws:
    `InvalidAttributeValueException`
    `DistributedManagementException`
  See Also:
    `getMaximumMessageSize()`
  Default value:
    java.lang.Integer.MAX_VALUE
  Minimum value:
    0
  A dynamic MBean attribute.

### setMessageBufferSize

    public void setMessageBufferSize(long bufferSize)
                              throws InvalidAttributeValueException

  Sets the value of the `MessageBufferSize` attribute.

  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getMessageBufferSize()`
  Default value:
    JMSConstants.DEFAULT_MESSAGE_BUFFER_SIZE
  Minimum value:
    -1
  A dynamic MBean attribute.

### setMessagesMaximum

    public void setMessagesMaximum(long messagesMaximum)
                            throws InvalidAttributeValueException,
                                   DistributedManagementException

  Sets the value of the `MessagesMaximum` attribute.

  Parameters:
    `messagesMaximum` - The new messagesMaximum value
  Throws:
    `InvalidAttributeValueException`
    `DistributedManagementException`
  See Also:
    `getBytesThresholdLow()`
  Default value:
    -1
  Minimum value:
    -1
  A dynamic MBean attribute.

### setMessagesThresholdHigh

    public void setMessagesThresholdHigh(long messagesThresholdHigh)
                                  throws InvalidAttributeValueException

  Sets the value of the `MessagesThresholdHigh` attribute.

  Parameters:
    `messagesThresholdHigh` - The new messagesThresholdHigh value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getMessagesThresholdHigh()`
  Default value:
    -1
  Minimum value:
    -1
  A dynamic MBean attribute.

### setMessagesThresholdLow

    public void setMessagesThresholdLow(long messagesThresholdLow)
                                 throws InvalidAttributeValueException,
                                        DistributedManagementException

  Sets the value of the `MessagesThresholdLow` attribute.

  Parameters:
    `messagesThresholdLow` - The new messagesThresholdLow value
  Throws:
    `InvalidAttributeValueException`
    `DistributedManagementException`
  See Also:
    `getMessagesThresholdLow()`
  Default value:
    -1
  Minimum value:
    -1
  A dynamic MBean attribute.

### setPagingDirectory

    public void setPagingDirectory(String directory)
                            throws InvalidAttributeValueException

  Sets the value of the `PagingDirectory` attribute.

  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getPagingDirectory()`
  Default value:
    null
  Legal null:
    true
  A dynamic MBean attribute.
    false

### setReceivingPausedAtStartup

    public void setReceivingPausedAtStartup(boolean receivingPaused)
                                     throws InvalidAttributeValueException

  Sets the value of the `ReceivingPausedAtStartup` attribute.

  Parameters:
    `receivingPaused` - if agent is paused for receiving messages
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `isReceivingPausedAtStartup()`
  Default value:
    false
  A dynamic MBean attribute.
    false

### setServiceType

    public void setServiceType(String type)
                        throws InvalidAttributeValueException

  Sets the value of the `ServiceType` attribute.

  Parameters:
    `type` - The value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getServiceType()`
  Default value:
    SAFAgentMBean.BOTH
  Legal values:
    SAFAgentMBean.BOTH,SAFAgentMBean.SENDING_ONLY,SAFAgentMBean.RECEIVING_ONLY
  A dynamic MBean attribute.
    false

### setStore

    public void setStore(PersistentStoreMBean store)
                  throws InvalidAttributeValueException

  Sets the value of the `Store` attribute.

  Parameters:
    `store` - The new store value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getStore()`
  Default value:
    null
  A dynamic MBean attribute.
    false

### setTargets

    public void setTargets(TargetMBean[] Targets)
                    throws InvalidAttributeValueException,
                           DistributedManagementException

  Description copied from interface: `DeploymentMBean`

  Sets the value of the getTargets attribute.

  Specified by:
    `setTargets` in interface `DeploymentMBean`
  Parameters:
    `Targets` - The new targets value
  Throws:
    `InvalidAttributeValueException`
    `DistributedManagementException`
  See Also:
    `DeploymentMBean.getTargets()`
  A dynamic MBean attribute.
    true

### setWindowSize

    public void setWindowSize(int size)
                       throws InvalidAttributeValueException

  Sets the value of the `WindowSize` attribute.

  Parameters:
    `size` - The new windowSize value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getWindowSize()`
  Default value:
    10
  Minimum value:
    1
  A dynamic MBean attribute.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD